#ifndef SIMPLE_H
#define SIMPLE_H

#include "def.h"

/**
 * @brief simple list node structure
 */
typedef struct simple_node_t
{
    void *item;
    struct simple_node_t *next;
} simple_node_t;

void simple_add(void *item);
void *simple_try_remove_any();
void simple_print_list();

#endif